
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.0.31903.59
MinimumVisualStudioVersion = 10.0.40219.1
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch03_DataBinding", "ch03_DataBinding", "{E9273679-4D52-465F-8C23-8096DD8C2A7B}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_v1", "ch03_DataBinding\ex_BindingToA2dArray_v1\ex_BindingToA2dArray_v1.csproj", "{AB5CCC4D-10B3-4116-A6B3-D1F720507608}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_context", "ch03_DataBinding\ex_BindingToA2dArray_context\ex_BindingToA2dArray_context.csproj", "{43E82F4F-6EBA-4708-A392-1B2E8130A19E}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_v2", "ch03_DataBinding\ex_BindingToA2dArray_v2\ex_BindingToA2dArray_v2.csproj", "{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch02_DesigningViews", "ch02_DesigningViews", "{1E07D063-F377-413B-B9A0-FB94AF14B1A9}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_ShadowLabel", "ch02_DesigningViews\ex_ShadowLabel\ex_ShadowLabel.csproj", "{62F4D4C2-7C79-4090-BB4B-20F848322113}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_OutlineText", "ch02_DesigningViews\ex_OutlineText\ex_OutlineText.csproj", "{EAD02985-9DBA-459D-B12E-32A89D2C95C5}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_Toolbar", "ch02_DesigningViews\ex_Toolbar\ex_Toolbar.csproj", "{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_CustomToolbar", "ch02_DesigningViews\ex_CustomToolbar\ex_CustomToolbar.csproj", "{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_CustomContentView", "ch03_DataBinding\ex_CustomContentView\ex_CustomContentView.csproj", "{5F26E535-4541-4C99-BD92-2DDB4EB65705}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_DataTemplateSelector", "ch03_DataBinding\ex_DataTemplateSelector\ex_DataTemplateSelector.csproj", "{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch04_Navigation", "ch04_Navigation", "{0E6296E1-F020-4A0D-9F98-4284F38FD68B}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_ShellRoutes", "ch04_Navigation\ex_ShellRoutes\ex_ShellRoutes.csproj", "{1559C59B-727D-402D-A140-30B111DBF224}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_CustomThemes", "ch02_DesigningViews\ex_CustomThemes\ex_CustomThemes.csproj", "{E1F1F0CA-6E77-414E-B6D0-3302D850121C}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch06_Others", "ch06_Others", "{CD52E1B3-6246-4940-88A1-1313E1273839}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_Preferences", "ch06_Others\ex_Preferences\ex_Preferences.csproj", "{1D959883-1D6E-4E29-A575-69173C9BBC97}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_Localization", "ch06_Others\ex_Localization\ex_Localization.csproj", "{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_Localization2", "ch06_Others\ex_Localization2\ex_Localization2.csproj", "{17CBE4C6-9579-4B76-9520-F902C932C535}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_Localization3", "ch06_Others\ex_Localization3\ex_Localization3.csproj", "{94DB81BA-1FCB-4E65-B1AD-BA68B445C457}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_ResponsivePage", "ch02_DesigningViews\ex_ResponsivePage\ex_ResponsivePage.csproj", "{83D42923-CEFB-48EE-986B-95D584386837}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ex_AddingFonts", "ch02_DesigningViews\ex_AddingFonts\ex_AddingFonts.csproj", "{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Release|Any CPU = Release|Any CPU
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Release|Any CPU.Build.0 = Release|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Release|Any CPU.Build.0 = Release|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Release|Any CPU.Build.0 = Release|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Release|Any CPU.Build.0 = Release|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Release|Any CPU.Build.0 = Release|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Release|Any CPU.Build.0 = Release|Any CPU
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C}.Release|Any CPU.Build.0 = Release|Any CPU
		{5F26E535-4541-4C99-BD92-2DDB4EB65705}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{5F26E535-4541-4C99-BD92-2DDB4EB65705}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{5F26E535-4541-4C99-BD92-2DDB4EB65705}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{5F26E535-4541-4C99-BD92-2DDB4EB65705}.Release|Any CPU.Build.0 = Release|Any CPU
		{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6}.Release|Any CPU.Build.0 = Release|Any CPU
		{1559C59B-727D-402D-A140-30B111DBF224}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{1559C59B-727D-402D-A140-30B111DBF224}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{1559C59B-727D-402D-A140-30B111DBF224}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{1559C59B-727D-402D-A140-30B111DBF224}.Release|Any CPU.Build.0 = Release|Any CPU
		{E1F1F0CA-6E77-414E-B6D0-3302D850121C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{E1F1F0CA-6E77-414E-B6D0-3302D850121C}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{E1F1F0CA-6E77-414E-B6D0-3302D850121C}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{E1F1F0CA-6E77-414E-B6D0-3302D850121C}.Release|Any CPU.Build.0 = Release|Any CPU
		{1D959883-1D6E-4E29-A575-69173C9BBC97}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{1D959883-1D6E-4E29-A575-69173C9BBC97}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{1D959883-1D6E-4E29-A575-69173C9BBC97}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{1D959883-1D6E-4E29-A575-69173C9BBC97}.Release|Any CPU.Build.0 = Release|Any CPU
		{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE}.Release|Any CPU.Build.0 = Release|Any CPU
		{17CBE4C6-9579-4B76-9520-F902C932C535}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{17CBE4C6-9579-4B76-9520-F902C932C535}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{17CBE4C6-9579-4B76-9520-F902C932C535}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{17CBE4C6-9579-4B76-9520-F902C932C535}.Release|Any CPU.Build.0 = Release|Any CPU
		{94DB81BA-1FCB-4E65-B1AD-BA68B445C457}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{94DB81BA-1FCB-4E65-B1AD-BA68B445C457}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{94DB81BA-1FCB-4E65-B1AD-BA68B445C457}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{94DB81BA-1FCB-4E65-B1AD-BA68B445C457}.Release|Any CPU.Build.0 = Release|Any CPU
		{83D42923-CEFB-48EE-986B-95D584386837}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{83D42923-CEFB-48EE-986B-95D584386837}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{83D42923-CEFB-48EE-986B-95D584386837}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{83D42923-CEFB-48EE-986B-95D584386837}.Release|Any CPU.Build.0 = Release|Any CPU
		{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0}.Release|Any CPU.Build.0 = Release|Any CPU
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(NestedProjects) = preSolution
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{62F4D4C2-7C79-4090-BB4B-20F848322113} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{5E1D0DEE-CD68-4AAD-9597-9BFF30C8214C} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{5F26E535-4541-4C99-BD92-2DDB4EB65705} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{CE13BDA5-D5E5-42A2-BF2B-17942919E7E6} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{1559C59B-727D-402D-A140-30B111DBF224} = {0E6296E1-F020-4A0D-9F98-4284F38FD68B}
		{E1F1F0CA-6E77-414E-B6D0-3302D850121C} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{1D959883-1D6E-4E29-A575-69173C9BBC97} = {CD52E1B3-6246-4940-88A1-1313E1273839}
		{9F174F30-18D0-4B6B-A8E0-A4D0EB12FBEE} = {CD52E1B3-6246-4940-88A1-1313E1273839}
		{17CBE4C6-9579-4B76-9520-F902C932C535} = {CD52E1B3-6246-4940-88A1-1313E1273839}
		{94DB81BA-1FCB-4E65-B1AD-BA68B445C457} = {CD52E1B3-6246-4940-88A1-1313E1273839}
		{83D42923-CEFB-48EE-986B-95D584386837} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{A9F7103F-9AAD-4A1F-9174-8568FEB3C1F0} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
	EndGlobalSection
EndGlobal
